#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin >> n;
    if(n < 2) {
        cout << -1;
    }
    else {
        if(n%2) {
            cout << '7';
            n-=3;
        }
        for(int i = 0; i < n/2; i++) {
            cout << '1';
        }
    }
    return 0;
}
